-- Эпизод 1.


-- *** *** *** *** *** --
--      Остальное      --
-- *** *** *** *** *** --

childrenBookRead = room {
	nam = 'книга "Стихи для детей"';
	var {
		page = 0;
	};
	entered = function(s)
		s.page = 0;
	end;
	exit = function(s)
		if s.page <= 6 then
			p 'Я закрыл книгу и положил её обратно на столик.';
		end;
	end;
	act = function(s)
		s.page = s.page + 1;
		if s.page == 1 then
			p [[^^
			Вступление:^^
			^^
			Кто-то первый, а кто-то - восьмой.^^
			Разбираться не стоит в проблеме.^^
			Одинаково все хороши -^^
			Мы в одной, всё же, братцы, системе.^^
			^^]];
		end;
		if s.page == 2 then
			p [[^^
			...Несколько страниц вырвано...^^
			^^]];
		end;
		if s.page == 3 then
			p [[^^
			Раздел "Детская философия"^^
			^^
			1.^^
			Как прекрасны сады,^^
			Что подарены Риму.^^
			Сияние колец.^^
			^^]];
		end;
		if s.page == 4 then
			p [[^^
			^^
			^^
			2.^^
			Лишь несчастье несёт нам война.^^
			Понимает ли то основатель?^^
			Краснеют глаза.^^
			^^]];
		end;
		if s.page == 5 then
			p [[^^
			^^
			^^
			3.^^
			Покровитель торговцев летучий^^
			И надёжный защитник воров.^^
			Так близко начало.^^
			^^]];
		end;
		if s.page == 6 then
			p [[^^
			^^
			^^
			4.^^
			Править всеми - тяжёлая ноша.^^
			Только Зевс лишь один понимает.^^
			Могуч и жесток.^^
			^^]];
		end;
		if s.page > 6 then
			p ('Это была последняя страница. Я закрыл книгу и положил её обратно на столик.');
			walk('postOffice');
		end;
	end;
	obj = { vobj('continue','{Листать дальше}'); };
	way = {'postOffice'};
	dsc = 'У меня в руках книга "Стихи для детей". На обложке нарисован счастливый ребёнок.';
};

editBlank457Dlg = room {
	nam = 'Заполнение бланка №457.';
	hideinv = true;
	way = {'postOffice'};
	exit = 'Я положил ручку на место.';
	entered = function(s)
		p 'Я начал заполнять бланк. Итак, в графе 1 напишем...';
		s.num = 0;
	end;
	var {
		num = 0;
		g = {
			[1] = '';
			[2] = '';
			[3] = '';
			[4] = '';
			[5] = '';
		};
		resLst = {
			[1] = 'Ну тут понятно, что ';
			[2] = 'Здесь скорее всего надо писать ';
			[3] = 'Наверное тут будет ';
			[4] = 'А может тут крестик поставить? Хотя нет. Лучше напишу ';
			[5] = 'Так и запишем ';
		};
	};
	act = function(s, w)
		s.num = s.num + 1;
		if s.num > 5 then
			p 'О! Баг выскочил!';
		elseif w == 'Подпись' then
			p 'Тут распишемся...';
			s.g[s.num] = 'Подпись';
		elseif w == 'Прочерк' then
			p 'Тут поставим прочерк...';
			s.g[s.num] = 'Прочерк';
		elseif w == 'ёпрст' then
			p 'Ага. Ёпрст... "Константин Ёпрст"...';
			s.g[s.num] = 'ёпрст';
		else
			p (s.resLst[rnd(#s.resLst)] .. '"' .. w .. '"...');
			s.g[s.num] = w;
		end
		if s.num < 5 then
			p ('Поехали далее. Хм... В графе ' .. ( s.num + 1 ) .. ' напишем...');
		end;
		if s.num == 5 then
			p 'Бланк заполнен.';
			fullBlank457.g1 = s.g[1];
			fullBlank457.g2 = s.g[2];
			fullBlank457.g3 = s.g[3];
			fullBlank457.g4 = s.g[4];
			fullBlank457.g5 = s.g[5];
			remove ('cleanBlank457', me());
			take('fullBlank457');
			walk('postOffice');
		end;
	end;
	obj = { vobj('.57', '{.57}...'),
			vobj('718', '{718}...'),
			vobj('Луна', '{"Луна"}...'),
			vobj('Марс', '{"Марс"}...'),
			vobj('ФИО', '{ФИО}...'),
			vobj('457', '{457}...'),
			vobj('тчк', '{"тчк"}...'),
			vobj('зпт', '{"зпт"}...'),
			vobj('ёпрст', '{"ёпрст"}...'),
			vobj('Весенний бриз', '{"Весенний бриз"}...'),
			vobj('Осенний каприз', '{"Осенний каприз"}...'),
			vobj('Ужасный сюрприз', '{"Ужасный сюрприз"}...'),
			vobj('Где верх, а где низ', '{"Где верх, а где низ"}...'),
			vobj('Гламурная ольха', '{"Гламурная ольха"}...'),
			vobj('Подпись', '{А может тут расписаться?}'),
			vobj('Прочерк', '{Или поставить прочерк?}'),
	};
};

openingSafeDlg = room {
	nam = 'Попытка открыть сейф.';
	var {
		num = {
			[1] = '';
			[2] = '';
			[3] = '';
			[4] = '';
			};
		numCount = 0;
		resLst = {
			[1] = 'Ну тут понятно, что ';
			[2] = 'Здесь скорее всего будет ';
			[3] = 'Наверное тут будет ';
			[4] = 'Может... Хотя нет. Лучше ';
			[5] = 'Тут даже ребёнок догадается, что ';
		};
	};
	hideinv = true;
	way = {'room206'};
	exit = function()
		if not have(paperPassword) then
			p 'Я прекратил попытки открыть сейф.';
		end;
	end;
	entered = function(s)
		p 'Попробуем открыть сейф. Первая цифра пусть будет...';
		s.numCount = 0;
	end;
	act = function(s, w)
		s.numCount = s.numCount + 1;
		if s.numCount > 4 then
			p 'О! Баг выскочил!';
		else
			p (s.resLst[rnd(#s.resLst)] .. '"' .. w .. '"...');
			s.num[s.numCount] = w;
		end
		if s.numCount < 4 then
			p ('Хорошо. Теперь цифра ' .. ( s.numCount + 1 ) .. '...');
		end;
		if s.numCount == 4 then
			p 'Теперь попробуем открыть сейф...';
			if s.num[1] == '6' and
				s.num[2] == '4' and
				s.num[3] == '1' and
				s.num[4] == '5' then
				p 'Отлично! Сейф открылся.';
				if not have(paperPassword) then
					p 'Я достал из сейфа какую-то бумажку.';
					take(paperPassword);
				end;
			else
				p 'Нет. Сейф не поддаётся. Может неверный код?';
			end;
			walk('room206');
		end;
	end;
	obj = { vobj('1', '{1}...'),
			vobj('2', '{2}...'),
			vobj('3', '{3}...'),
			vobj('4', '{4}...'),
			vobj('5', '{5}...'),
			vobj('6', '{6}...'),
			vobj('7', '{7}...'),
			vobj('8', '{8}...'),
			vobj('9', '{9}...'),
			vobj('0', '{0}...'),
	};
};